Searching in Active Directory overview

Active Directory® is a directory service that provides information about directory objects in response to queries from both users and programs. Information about all objects on a network, which include people, groups, computers, printers, shared folders, and organizational units, is cataloged and distributed throughout the network. Administrators and users can easily search for information in the directory by using Search or Active Directory Users and Computers.

Users, Contacts, and Groups

Searching for users, contacts, and groups is easy using Find Users, Contacts, and Groups in Active Directory. You can search for a user, contact, or group by using criteria such as the name of a user's manager, a note describing a contact's special interests, or the name of an individual who is a member of a particular group.

Computers

Use Find Computers to search for computers in Active Directory by using criteria such as the name assigned to the computer, or the operating system on which the computer runs. Once you have found the computer you want, you can manage it by right-clicking the computer in the search results list, and then clicking Manage.

Printers

When a shared printer is published in Active Directory, you can use Find Printers to search for it by using criteria such as its asset number, the printer language it uses, or whether it supports double-sided printing. Once you have found the printer you want, you can easily connect to it by right-clicking the printer in the search results list, and then clicking Connect, or by double-clicking the printer.

Shared Folders

When a shared folder is published in Active Directory, you can search for it with Find Shared Folders by using a variety of criteria, such as keywords assigned to it, the name of the folder, or the name of the person managing the folder. Once you have found the folder you want, you can open Windows Explorer to view the files located in the folder by right-clicking the folder in the search results list, and then clicking Explore.

Organizational Units

An organizational unit is an Active Directory container object used to group and organize objects within domains. While users, groups, computers, and other organizational units can all be placed into these logical containers, an organizational unit can only contain objects from its parent domain. Use Find Organizational Units to search for organizational units by using criteria such as the common name assigned to the organizational unit.

Custom Search

In Active Directory, you can search for familiar objects such as computers, printers, and users, but you can also search for other objects such as a specific organizational unit or certificate template. Use Find Custom Search to build custom search queries by using advanced search options, as well as to build advanced search queries using the Lightweight Directory Access Protocol (LDAP), which is the primary access protocol for Active Directory. For more information, see Lightweight Directory Access Protocol (LDAP) overview.

Common Queries

You can use Find Common Queries to perform common administrative queries in Active Directory. For example, you can quickly search for user or computer accounts that have been disabled. You also have the option to search for only group names without users or contacts.

Depending on your computer's configuration, computers running either XOX or Windows® 2000 Professional may be limited to searching only for printers. For more information, see To search for a printer.

For more information about Active Directory, see the Active Directory Programmer's Guide provided by MSDN® online at the Microsoft Web site (http://www.microsoft.com/).


Search for a user, contact, or group

Microsoft Windows graphic

To search for a user, contact, or group

  1. In the Find box, click Users, Contacts, and Groups.
  2. In the In box, select the domain or organizational unit you want to search, or click Browse to locate a domain or organizational unit.
  3. Enter your search parameters as follows:
    • On the Users, Contacts, and Groups tab, enter the name and description of the user, contact, or group.
    • On the Advanced tab, use custom fields to specify other search parameters.
  4. Click Find Now to run your search, or click Clear All to clear the search criteria fields and begin a new search.

Notes

  • When you need to specify a manager in a custom or advanced search, in the Field list, click either Managed by or Manager, in Condition, specify Is (exactly), and in Value, specify the distinguished name. To locate the distinguished name for a manager, see your network administrator.
  • Depending on your computer's configuration, this procedure may not work on computers running either Windows 2000 Professional or XOX. For more information, see your network administrator.

Related Topics


Search for a computer

To search for a computer

  1. In the Find box, click Computers.
  2. In the In box, select the domain or organizational unit you want to search, or click Browse to locate a domain or organizational unit.
  3. Enter your search parameters on the Computers and Advanced tabs, as follows:
    • On the Computers tab, enter the name, owner, and role (Any, Workstations and Servers or Domain Controller) of the computer.
    • On the Advanced tab, you may search using custom fields that specify such criteria as the operating system the computer uses.
  4. Click Find Now to run your search, or click Clear All to clear the search criteria fields and begin a new search.

Notes

  • Once you have found the computer you want, you can manage it through Computer Management by right-clicking the computer in the search results list, and then clicking Manage.
  • When you need to specify a manager in a custom or advanced search, in the Field list, click either Managed by or Manager, in Condition, specify Is (exactly), and in Value, specify the distinguished name. To locate the distinguished name for a manager, see your network administrator.
  • Depending on your computer's configuration, this procedure may not work on computers running either Windows 2000 Professional or XOX. For more information, see your network administrator.


Search for a printer

To search for a printer

  1. In the Find box, click Printers.
  2. In the In box, select the domain or organizational unit you want to search, or click Browse to locate a domain or organizational unit.
  3. Enter your search parameters as follows:
    • On the Printers tab, enter the name, location, and model of the printer.

      • If a location appears in Location, your network administrator set up the network so that Windows displays the printers nearest you by default. You can also click Browse to search for a printer in another location.

    • On the Features tab, you can select additional search options, such as whether the printer can print double-sided copies or print at a specific resolution.
    • On the Advanced tab, you can search by using custom fields that specify such criteria as whether the printer supports collation or a specific printer language.
  4. Click Find Now to run your search, or click Clear All to clear the search criteria fields and begin a new search.

Notes

  • If you opened the Find Printers dialog box from Start, you do not need to follow step 1 above.
  • If too many printers are listed in the search results, try entering additional search criteria to make your search more specific. For more information about advanced search methods, see Related Topics.
  • To connect to a printer displayed in the results list, right-click the printer and then click Connect, or double-click the printer.


Search for a shared folder

To search for a shared folder

  1. In the Find box, click Shared Folders.
  2. In the In box, select the domain or organizational unit you want to search, or click Browse to locate a domain or organizational unit.
  3. Enter your search parameters as follows:
    • On the Shared Folders tab, enter the name of the shared folder and any keywords assigned to the folder.
    • On the Advanced tab, use custom fields to specify such criteria as the network path on which the folder is located.
  4. Click Find Now to run your search, or click Clear All to clear the search criteria fields and begin a new search.

Notes

  • When you need to specify a manager in a custom or advanced search, in the Field list, click either Managed by or Manager, in Condition, specify Is (exactly), and in Value, specify the distinguished name. To locate the distinguished name for a manager, see your network administrator.
  • Depending on your computer's configuration, this procedure may not work on computers running either Windows 2000 Professional or XOX. For more information, see your network administrator.


Search for an organizational unit

To search for an organizational unit

  1. In the Find box, click Organizational Units.
  2. In the In box, select the domain or organizational unit you want to search, or click Browse to locate a domain or organizational unit.
  3. Do the following:
    • On the Organizational Units tab, enter the name of the organizational unit.
    • On the Advanced tab, enter search parameters by using custom fields.
  4. Click Find Now to run your search, or click Clear All to clear the search criteria fields and begin a new search.

Notes

  • When you need to specify a manager in a custom or advanced search, in the Field list, click either Managed by or Manager, in Condition, specify Is (exactly), and in Value, specify the distinguished name. To locate the distinguished name for a manager, see your network administrator.
  • Depending on your computer's configuration, this procedure may not work on computers running either Windows 2000 Professional or XOX. For more information, see your network administrator.


Search for remotely installed clients

To search for remotely installed clients

  1. In the Find box, click Remote Installation Clients.
  2. In the In box, select the domain or organizational unit you want to search, or click Browse to locate a domain or organizational unit.
  3. On the Remote Installation Clients tab, enter the client computer globally unique identifier (GUID) and the name of the Remote Installation (RI) server.
  4. Click Find Now to run your search, or click Clear All to clear the search criteria fields and begin a new search.

Notes

  • The Remote Installation Clients option is available if Remote Installation Services (RIS) is installed on your server.
  • When you need to specify a manager in a custom or advanced search, in the Field list, click either Managed by or Manager, in Condition, specify Is (exactly), and in Value, specify the distinguished name. To locate the distinguished name for a manager, see your network administrator.
  • Depending on your computer's configuration, this procedure may not work on computers running either Windows 2000 Professional or XOX. For more information, see your network administrator.


Build a custom search

To build a custom search

  1. In the Find box, click Custom Search.
  2. In the In box, select the domain or organizational unit you want to search, or click Browse to locate a domain or organizational unit.
  3. Do one of the following:
    • On the Custom Search tab, click Field, and then click the feature or attribute you want to search for.
    • On the Advanced tab, type a query that meets the Lightweight Directory Access Protocol (LDAP) standard.
  4. Click Find Now to run your search, or click Clear All to clear the search criteria fields and begin a new search.

Notes

  • For more information about LDAP, see Related Topics.
  • When you need to specify a manager in a custom or advanced search, in the Field list, click either Managed by or Manager, in Condition, specify Is (exactly), and in Value, specify the distinguished name. To locate the distinguished name for a manager, see your network administrator.
  • Depending on your computer's configuration, this procedure may not work on computers running either Windows 2000 Professional or XOX. For more information, see your network administrator.


Perform a common query

To perform a common query

  1. In the Find box, click Common Queries.
  2. In the In box, select the domain or organizational unit you want to search, or click Browse to locate a domain or organizational unit.
  3. Do one of the following:
    • To perform a common user query, on the Users tab, enter a user name and description.
    • To perform a common computer query, on the Computers tab, enter a computer name and description.
    • To perform a common group query, on the Groups tab, enter a group name and description.
  4. Click Find Now to run your search, or click Clear All to clear the search criteria fields and begin a new search.

Note

  • Depending on your computer's configuration, this procedure may not work on computers running either Windows 2000 Professional or XOX. For more information, see your network administrator.


Filter the search results

To filter the search results

  1. Run your search for an Active Directory object.
  2. On the View menu, click Filter to turn on the filtering feature.
  3. Under any column in the search results list, type a value that you want to match.
  4. Click the filter icon next to the text box, and choose the condition that you want to apply.
  5. Repeat steps 3 and 4 for as many columns as you want to filter. Each filter you apply will further narrow the search results list.

Notes

  • To view the column headings, you must click Details on the View menu. The filter option is not available when you view the search results as icons or as a list.
  • The list automatically sorts each time you make a change in the text boxes or filter conditions. Do not click the Find Now button, because this will clear your filter entries.
  • To turn off the filter, click the View menu, and then click Filter.
  • You can sort the objects listed in the search results by clicking the column headings.


Add or remove columns in the search results list

To add or remove columns in the search results list

  1. Run your search for an Active Directory object.
  2. On the View menu, click Details.
  3. On the View menu, click Choose Columns.
  4. In Choose Columns, do one of the following:
    • To add a column, click a column name in Columns available, and then click Add.
    • To remove a column, click a column name in Columns shown, and then click Remove.

Notes

  • Be sure to add columns in the order you want them to appear in the search results list. To move a column to another location, you must remove the column, and then add it in the location you want it to display.
  • You may need to maximize the window, adjust the column sizes, or use the scroll bar to view all the columns and the search results.
  • You can sort the objects listed in the search results by clicking the column headings.


Use advanced options to search

To use advanced options to search

  1. On the Advanced tab (or the Custom Search tab in the Custom Search dialog box), click Field, and then click the feature or attribute you want to search for.
  2. In Condition, click the operator you want to use to further define your search.
  3. In Value, type the variable you want to use, and then click Add.
  4. Repeat steps 1 through 3 for each search parameter you want, and then click Find Now.

Notes

  • For information about searching for Active Directory objects such as people, groups, computers, printers, shared folders, and organizational units, see Related Topics.
  • When you need to specify a manager in a custom or advanced search, in the Field list, click either Managed by or Manager, in Condition, specify Is (exactly), and in Value, specify the distinguished name. To locate the distinguished name for a manager, see your network administrator. When searching for a printer, you cannot search by Manager or Managed by.


Save a search query

To save a search query

  1. Open Active Directory Users and Computers.
  2. In the console tree, right-click Saved Queries or any of its subfolders in which you want to save a query.

    3. Where?

    • Active Directory Users and Computers
    • Saved Queries
  3. Point to New, and then click Query.
  4. In Name, type a query name.
  5. In Description, type a query description.
  6. To define the container from which to begin your search, click Browse.

    To search all subcontainers of the selected container, select the Include subcontainers check box.

  7. To define your query, click Define Query.

Notes

  • XOX
  • To organize your saved queries, you can create subfolders by right-clicking Saved Query, pointing to New, and then clicking Folder.
  • Depending on your computer's configuration, this procedure may not work on computers running either Windows 2000 Professional or XOX. For more information, see your network administrator.


Find Domain Controllers

Find Domain Controllers displays all domain controllers in the forest. If there are a large number of domain controllers in your forest, you can filter the list to display a specific set of domain controllers.

The Find Domain Controllers dialog box is only available from Active Directory Sites and Services when you create a new connection object.

For more information about connections, see To manually add connections and Replication overview.


Lightweight Directory Access Protocol (LDAP) overview

The primary access protocol used to query and retrieve information in Active Directory is the Lightweight Directory Access Protocol (LDAP), an industry standard directory service protocol. Designed for use on TCP/IP networks, LDAP defines how a directory client accesses a directory server, shares directory data, and performs directory operations.

Designed to be an efficient and straightforward directory access protocol, LDAP determines how information in a directory can be accessed securely and further specifies the operations that can be performed to query or modify that information. This means that you can use the same protocol to both find and list directory objects and to query or administer Active Directory.

Because LDAP is an open Internet standard, established by Working Groups of the Internet Engineering Task Force (IETF), Active Directory works with other directory services that use this protocol. Using LDAP, programs can be developed that permit LDAP-based directory services to share Active Directory information.

For more information about Active Directory, see the Active Directory Programmer's Guide provided by MSDN online at the Microsoft Web site (http://www.microsoft.com/). For more information about the Internet Engineering Task Force, see the Internet Engineering Task Force Web site.

Note

  • XOX